Functions

# squirrel_std.cpp File Reference

Implements the Squirrel Standard Function class. More...

`#include <squirrel.h>`
`#include <sqstdmath.h>`
`#include "../stdafx.h"`
`#include "../debug.h"`
`#include "squirrel_std.hpp"`
`#include "../core/alloc_func.hpp"`
`#include "../core/math_func.hpp"`

Go to the source code of this file.

## Functions
void | squirrel_register_global_std (Squirrel *engine)
| Register all standard functions that are available on first startup.
void | squirrel_register_std (Squirrel *engine)
| Register all standard functions we want to give to a script.

## Detailed Description

Implements the Squirrel Standard Function class.

Definition in file squirrel_std.cpp.

## Function Documentation

void squirrel_register_global_std | ( | Squirrel * | engine | ) |

Register all standard functions that are available on first startup.

Note:
  this set is very limited, and is only ment to load other scripts and things like that.

Definition at line 99 of file squirrel_std.cpp.

References Squirrel::AddMethod(), SquirrelStd::notifyallexceptions(), and SquirrelStd::require().